# https://pytorch.org/hub/pytorch_vision_alexnet/
# https://pytorch.org/vision/main/models/generated/torchvision.models.alexnet.html
# https://discuss.pytorch.org/t/why-does-alexnet-in-torch-vision-use-average-pooling/84313
# https://medium.com/analytics-vidhya/concept-of-alexnet-convolutional-neural-network-6e73b4f9ee30
# https://discuss.pytorch.org/t/alexnet-input-size-224-or-227/41272/3
# https://androidkt.com/calculating-number-parameters-pytorch-model/

import numpy as np
import cv2 as cv
from torchvision import transforms
import torchvision.models as models
import torch

preprocess = transforms.Compose([
    transforms.ToTensor(),
    transforms.Resize(256),
    transforms.CenterCrop(224),   
    transforms.Normalize(mean=[0.485, 0.456, 0.406], std=[0.229, 0.224, 0.225]),
])
